kdelibs-3.5.10 compiling error

Ken Moffat zarniwhoop73 at googlemail.com
Mon Oct 26 06:14:04 PDT 2009


2009/10/26 Jim McConville <jhmc at xmission.com>:
> BLFS svn 20091025
> Chap. 25 Kdelibs-3.5.10 Compilation error
>
> I am attempting to compile kdelibs-3.5.10 in accordance with commands listed
> in  BLFS svn 20091025 .  I have encountered the problem:
> " ftp.cc:2084: warning: 'KMimeMagicResult' is deprecated (declared
> at ../../kio/kio/kmimemagic.h:47)
> make[3]: *** [ftp.lo] Error 1 "
>
> There was a posting at:
> http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/kdelibs/kdelibs-gcc44.patch
> that supposedly addressed this problem.  Is this patch, if it exists, a
> solution or have I errored in following BLFS guidance?
>
> This compilation is founded on LFS-6.5.
> Jim McConville
> jhmc at xmission.com
> --

 The patch certainly exists, you just need more practice in
using the cvs web interface ;-)

Try http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/~checkout~/packages/kdelibs/kdelibs-gcc44.patch?rev=1.2;content-type=text%2Fplain

 I got there by reading the page you linked to,
the log for newest revision said

| FILE REMOVED
|Changes since revision 1.2: +0 -0 lines
|
|-  branch diff updated, gcc44 patch applied upstream

so I guess that makes it the correct solution.

Must admit, I'm surprised there is still an upstream
for kde-3.5.  Anyway, after that, the route to the
patch is via 'download' on the next entry (1.2).
FWIW, 'view' will show it as html, you need plain
text.

 HTH

ĸen
-- 
After tragedy, and farce, "OMG poneys!"



More information about the blfs-support mailing list